New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

TypeError: Cannot assign to read only property 'createGzip' of object '#<Object>' #115

Closed
hbakhtiyor opened this Issue Jun 1, 2017 · 3 comments

Comments

Projects
None yet
4 participants
@hbakhtiyor

hbakhtiyor commented Jun 1, 2017

Node: 8.0.0
@glimpse/glimpse: 0.20.9

Getting error when i just start app.

/demo/node_modules/@glimpse/glimpse-agent-node/release/async-track/async-track.js:228
                            pkg[prop] = this.instruCbReg(config, prop, pkg[prop], newPath);
                                      ^

TypeError: Cannot assign to read only property 'createGzip' of object '#<Object>'
    at AsyncTrack.instrument (/demo/node_modules/@glimpse/glimpse-agent-node/release/async-track/async-track.js:228:39)
    at Module.asyncTrackRequire [as require] (/demo/node_modules/@glimpse/glimpse-agent-node/release/async-track/async-track.js:112:26)
    at require (internal/module.js:11:18)
    at Object.<anonymous> (/demo/node_modules/request/request.js:8:12)
    at Module._compile (module.js:569:30)
    at Object.Module._extensions..js (module.js:580:10)
    at Module.load (module.js:503:32)
    at tryModuleLoad (module.js:466:12)
    at Function.Module._load (module.js:458:3)
    at Module.require (module.js:513:17)
@mike-kaufman

This comment has been minimized.

Show comment
Hide comment
@mike-kaufman

mike-kaufman Jun 1, 2017

Member

Thanks for reporting this @hbakhtiyor. Currently, we don't support node 8.0. We do support node 4.x through 7.x inclusive though.

We'll let you know when we have things running smoothly on node 8.

Member

mike-kaufman commented Jun 1, 2017

Thanks for reporting this @hbakhtiyor. Currently, we don't support node 8.0. We do support node 4.x through 7.x inclusive though.

We'll let you know when we have things running smoothly on node 8.

@mike-kaufman mike-kaufman added this to the M022 milestone Jun 1, 2017

@mike-kaufman mike-kaufman self-assigned this Jun 5, 2017

@bonesoul

This comment has been minimized.

Show comment
Hide comment
@bonesoul

bonesoul Jun 6, 2017

same error.

bonesoul commented Jun 6, 2017

same error.

@mike-kaufman

This comment has been minimized.

Show comment
Hide comment
@mike-kaufman

mike-kaufman Jul 14, 2017

Member

This has been fixed with latest release of glimpse - version 0.22.11. We also support node 8.0 & 8.1 now (but not async/await). See release notes here: http://node.getglimpse.com/updates/v0_22.11/.

Please let us know if you encounter any issues.

Member

mike-kaufman commented Jul 14, 2017

This has been fixed with latest release of glimpse - version 0.22.11. We also support node 8.0 & 8.1 now (but not async/await). See release notes here: http://node.getglimpse.com/updates/v0_22.11/.

Please let us know if you encounter any issues.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment